Page MenuHomePhabricator

De-emphasize toolbar tool group borders
Closed, ResolvedPublic

Description

in OOUI, the toolgroup border use #c8ccd1/Base70 as the color:

Proposed:
If they use #eaecf0/Base80 from style guide the toolbar looks less cluttered:

In-situ

Event Timeline

Nirzar created this task.Apr 3 2018, 12:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2018, 12:11 AM
Prtksxna updated the task description. (Show Details)Apr 3 2018, 2:03 AM
Volker_E updated the task description. (Show Details)Apr 3 2018, 6:14 AM

That could work in the current state of our toolbar, with unified spacing and good interaction patterns in place. One question @Nirzar, would you also want to lighten up the action toolbar simple button item borders (right sided ones in screenshots)?

Nirzar added a comment.Apr 3 2018, 7:29 PM

we might wanna get rid of borders for action toolbar simple button item borders, all together. if not then all tool borders should be B80

Volker_E renamed this task from Tool group borders are bit distracting to De-emphasize toolbar tool group borders.Apr 20 2018, 8:34 PM
Volker_E triaged this task as Normal priority.

Change 428024 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] WikimediaUI theme: De-emphasize toolgroup borders

https://gerrit.wikimedia.org/r/428024

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Apr 20 2018, 10:04 PM
Volker_E updated the task description. (Show Details)Apr 20 2018, 10:06 PM


we might wanna get rid of borders for action toolbar simple button item borders, all together. if not then all tool borders should be B80

I'm not sure why we would want to treat these as a special case?

Change 428024 merged by jenkins-bot:
[oojs/ui@master] WikimediaUI theme: De-emphasize toolgroup borders

https://gerrit.wikimedia.org/r/428024

Volker_E moved this task from Reviewing to OOUI-0.26.5 on the OOUI board.Apr 24 2018, 9:17 PM
Volker_E edited projects, added OOUI (OOUI-0.26.5); removed OOUI.
Volker_E closed this task as Resolved.Apr 24 2018, 11:01 PM
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.
Volker_E raised the priority of this task from Normal to Needs Triage.Nov 27 2018, 4:36 AM